package com.ruoyi.bid.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bid.mapper.BidZizhiMapper;
import com.ruoyi.bid.domain.BidZizhi;
import com.ruoyi.bid.service.IBidZizhiService;

/**
 * 资质证书Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-10
 */
@Service
public class BidZizhiServiceImpl implements IBidZizhiService 
{
    @Autowired
    private BidZizhiMapper bidZizhiMapper;

    /**
     * 查询资质证书
     * 
     * @param id 资质证书主键
     * @return 资质证书
     */
    @Override
    public BidZizhi selectBidZizhiById(Long id)
    {
        return bidZizhiMapper.selectBidZizhiById(id);
    }

    /**
     * 查询资质证书列表
     * 
     * @param bidZizhi 资质证书
     * @return 资质证书
     */
    @Override
    public List<BidZizhi> selectBidZizhiList(BidZizhi bidZizhi)
    {
        return bidZizhiMapper.selectBidZizhiList(bidZizhi);
    }

    /**
     * 新增资质证书
     * 
     * @param bidZizhi 资质证书
     * @return 结果
     */
    @Override
    public int insertBidZizhi(BidZizhi bidZizhi)
    {
        return bidZizhiMapper.insertBidZizhi(bidZizhi);
    }

    /**
     * 修改资质证书
     * 
     * @param bidZizhi 资质证书
     * @return 结果
     */
    @Override
    public int updateBidZizhi(BidZizhi bidZizhi)
    {
        return bidZizhiMapper.updateBidZizhi(bidZizhi);
    }

    /**
     * 批量删除资质证书
     * 
     * @param ids 需要删除的资质证书主键
     * @return 结果
     */
    @Override
    public int deleteBidZizhiByIds(Long[] ids)
    {
        return bidZizhiMapper.deleteBidZizhiByIds(ids);
    }

    /**
     * 删除资质证书信息
     * 
     * @param id 资质证书主键
     * @return 结果
     */
    @Override
    public int deleteBidZizhiById(Long id)
    {
        return bidZizhiMapper.deleteBidZizhiById(id);
    }
}
